# ChangeLog for app-crypt/gpgme
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/gpgme/ChangeLog,v 1.107 2007/02/18 18:51:04 alonbl Exp $

  18 Feb 2007; Alon Bar-Lev <alonbl@gentoo.org> gpgme-1.1.3.ebuild:
  Fixed dependency, closes bug#167491, thanks to Henning Schild

  16 Feb 2007; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild:
  don't abuse ROOT - bug #167240

  06 Feb 2007; Roy Marples <uberlord@gentoo.org> gpgme-1.1.3.ebuild:
  Call elibtoolize so we get sane .so versioning on fbsd.

*gpgme-1.1.3 (03 Feb 2007)

  03 Feb 2007; Alon Bar-Lev <alonbl@gentoo.org>
  +files/gpgme-1.1.3-fbsd.patch, +gpgme-1.1.3.ebuild:
  Version bump

  02 Oct 2006; Fabian Groffen <grobian@gentoo.org> gpgme-1.0.2.ebuild,
  gpgme-1.1.0.ebuild:
  Dropped ppc-macos keyword, because we cannot get the dependencies for newer
  versions without the prefix.

  01 Oct 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  gpgme-1.1.2-r1.ebuild:
  hppa stable, bug #149652

  23 Sep 2006; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild:
  fixed automake dependency as per bug #148801 thanks Patrick Lauer

  14 Aug 2006; Daniel Black <dragonheart@gentoo.org> gpgme-1.0.2.ebuild,
  gpgme-1.0.3.ebuild:
  WANT_AUTOCONF changed to 2.5 as per QA bug #143429

  22 Jul 2006; <psi29a@gentoo.org> gpgme-1.1.2-r1.ebuild:
  stable on mips

  12 Jul 2006; Aron Griffis <agriffis@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Mark 1.1.2-r1 stable on ia64

  08 Jun 2006; Diego Pettenò <flameeyes@gentoo.org>
  +files/gpgme-1.1.2-fbsd.patch, gpgme-1.1.2-r1.ebuild:
  Add patch to fix FreeBSD building (bug #136085) and mark ~x86-fbsd.

  01 Jun 2006; Thomas Cort <tcort@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Stable on alpha wrt Bug #132343.

  30 May 2006; Joseph Jezak <josejx@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Marked ppc stable for bug #132343.

  29 May 2006; Jason Wever <weeve@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Stable on SPARC wrt bug #132343.

  26 May 2006; Chris Gianelloni <wolf31o2@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Stable on amd64 wrt bug #132343

  25 May 2006; Chris Gianelloni <wolf31o2@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Stable on x86 wrt bug #132343

  16 May 2006; Markus Rothe <corsair@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Stable on ppc64; bug #132343

  11 May 2006; Diego Pettenò <flameeyes@gentoo.org> gpgme-1.1.2-r1.ebuild:
  Add elibtoolize.

*gpgme-1.1.2-r1 (10 May 2006)

  10 May 2006; Daniel Black <dragonheart@gentoo.org> -gpgme-1.1.2.ebuild,
  +gpgme-1.1.2-r1.ebuild:
  removed USE flag smime now that gnupg-1.9 is unmasked. No other changes in
  the -r1 from -r0. Bug #130994 refers thanks to Carsten

  27 Apr 2006; Marien Zwart <marienz@gentoo.org>
  files/digest-gpgme-0.3.14-r1, files/digest-gpgme-1.0.2,
  files/digest-gpgme-1.0.3, files/digest-gpgme-1.1.0,
  files/digest-gpgme-1.1.2, Manifest:
  Fixing SHA256 digest for real, pass three...

  27 Apr 2006; Marien Zwart <marienz@gentoo.org>
  files/digest-gpgme-0.3.14-r1, files/digest-gpgme-1.0.2,
  files/digest-gpgme-1.0.3, files/digest-gpgme-1.1.0,
  files/digest-gpgme-1.1.2, Manifest:
  Fixing SHA256 digest, pass two.

  24 Apr 2006; Stefan Schweizer <genstef@gentoo.org> gpgme-1.1.2.ebuild:
  Take only gpg - the old 1.4-version, because 1.9 is still unstable, solves
  bug 130992

*gpgme-1.1.2 (26 Mar 2006)

  26 Mar 2006; Stefan Schweizer <genstef@gentoo.org> +gpgme-1.1.2.ebuild:
  version bump, masked in anticipation of gnupg-1.9 unmask

  23 Feb 2006; Aron Griffis <agriffis@gentoo.org> gpgme-1.1.0.ebuild:
  Mark 1.1.0 stable on ia64

  20 Feb 2006; Fabian Groffen <grobian@gentoo.org>
  +files/gpgme-1.1.0-pth-test.patch, gpgme-1.1.0.ebuild:
  Added patch to allow compilation on ppc-macos.  Patch by exg at gentoo dot org

*gpgme-1.1.0 (26 Oct 2005)

  26 Oct 2005; Fabian Groffen <grobian@gentoo.org> gpgme-1.0.3.ebuild,
  +gpgme-1.1.0.ebuild:
  Added new version (bug #110237)

  17 Oct 2005; Daniel Black <dragonheart@gentoo.org> gpgme-1.0.2.ebuild,
  gpgme-1.0.3.ebuild:
  fixed selinux test failures due to inability to export secret key - bug
  #106711. Patch thanks to Tudor Alexandru Dragos

  19 Sep 2005; Marcelo Goes <vanquirius@gentoo.org> gpgme-1.0.2.ebuild:
  Use mirror:// in SRC_URI.

  16 Sep 2005; Ciaran McCreesh <ciaranm@gentoo.org> ChangeLog:
  Converted to UTF-8, fixed encoding screwups

*gpgme-1.0.3 (14 Aug 2005)

  14 Aug 2005; Daniel Black <dragonheart@gentoo.org> +gpgme-1.0.3.ebuild:
  version bump as per bug #97709. thanks to david somers.
  Make test may fail - http://lists.gnupg.org/pipermail/gnupg-devel/2005-August/022263.html

*gpgme-1.0.2-r1 (16 Jul 2005)

  14 Aug 2005; Daniel Black <dragonheart@gentoo.org>  gpgme-1.0.2-r1.ebuild files/digest-gpgme-1.0.2-r1
  Changed to mirror://gnupg/

  01 Jul 2005; Hardave Riar <hardave@gentoo.org> gpgme-1.0.2.ebuild:
  Stable on mips

  08 Jun 2005; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild,
  -gpgme-0.9.0-r1.ebuild, -gpgme-1.0.1.ebuild, -gpgme-1.0.1-r1.ebuild,
  gpgme-1.0.2.ebuild:
  added dropped mips keyword. old version cleanout

  21 May 2005; Daniel Black <dragonheart@gentoo.org> +files/gpgme3.m4.patch,
  gpgme-0.3.14-r1.ebuild:
  patch for aclocal warning by Joel Konkle-Parker added.

  24 Apr 2005; Tom Martin <slarti@gentoo.org> gpgme-1.0.2.ebuild:
  Stable on amd64.

  08 Apr 2005; Markus Rothe <corsair@gentoo.org> gpgme-1.0.2.ebuild:
  Stable on ppc64

  31 Mar 2005; Aron Griffis <agriffis@gentoo.org> gpgme-1.0.2.ebuild:
  stable on ia64

  28 Mar 2005; Guy Martin <gmsoft@gentoo.org> gpgme-1.0.2.ebuild:
  Stable on hppa.

  27 Mar 2005; Michael Hanselmann <hansmi@gentoo.org> gpgme-1.0.2.ebuild:
  Stable on ppc.

  26 Mar 2005; Bryan Østergaard <kloeri@gentoo.org> gpgme-1.0.2.ebuild:
  Stable on alpha.

  23 Mar 2005; Gustavo Zacarias <gustavoz@gentoo.org> gpgme-1.0.2.ebuild:
  Stable on sparc

  22 Mar 2005; Daniel Black <dragonheart@gentoo.org> gpgme-1.0.2.ebuild:
  x86 stable as per bug #84311

  22 Feb 2005; Hardave Riar <hardave@gentoo.org> gpgme-0.9.0-r1.ebuild:
  Marked ~mips

  13 Feb 2005; Lina Pezzella <j4rg0n@gentoo.org> gpgme-1.0.2.ebuild:
  Modified to work on ppc-macos

*gpgme-1.0.2 (13 Jan 2005)

  13 Jan 2005; Daniel Black <dragonheart@gentoo.org> +gpgme-1.0.2.ebuild:
  version bump

  02 Jan 2005; Markus Rothe <corsair@gentoo.org> gpgme-1.0.1-r1.ebuild,
  gpgme-1.0.1.ebuild:
  removed check for ppc64 from pth dependency; bug #72897

  12 Dec 2004; Daniel Black <dragonheart@gentoo.org> -gpgme-0.3.14.ebuild,
  -gpgme-0.3.16.ebuild, -gpgme-0.4.0.ebuild, -gpgme-0.4.7.ebuild,
  gpgme-0.9.0-r1.ebuild, gpgme-1.0.1-r1.ebuild, gpgme-1.0.1.ebuild:
  Cleanout finally as per bug #72615. Removed unnecessary conflict dependancies

  31 Oct 2004; Tom Gall <tgall@gentoo.org> gpgme-0.3.14-r1.ebuild:
  stable on ppc64, bug #64485

*gpgme-1.0.1-r1 (25 Oct 2004)

  25 Oct 2004; Daniel Black <dragonheart@gentoo.org>
  -files/gpgme-1.0.0-assuan_fix.patch, -files/gpgme-1.0.0-testconfigure.patch,
  -gpgme-1.0.0-r1.ebuild, -gpgme-1.0.0-r2.ebuild, -gpgme-1.0.0-r3.ebuild,
  -gpgme-0.9.0-r20.ebuild, -gpgme-1.0.0.ebuild, +gpgme-1.0.1-r1.ebuild,
  +gpgme-1.0.1.ebuild:
  commited version 1.0.1 as per bug #68724. Removed 1.0.0* due to bug #67517 and
  other faults. Thanks to Erinn Looney-Triggs <erinn_looneytriggs@ekit.com> and
  Jeremy Huddleston <eradicator@gentoo.org>

  17 Oct 2004; Akinori Hattori <hattya@gentoo.org> gpgme-0.9.0-r1.ebuild:
  stable on ia64, bug #64485

  17 Oct 2004; Akinori Hattori <hattya@gentoo.org> gpgme-0.3.14-r1.ebuild:
  stable on ia64, bug #64485

*gpgme-1.0.0-r3 (14 Oct 2004)

  14 Oct 2004; Daniel Black <dragonheart@gentoo.org> gpgme-1.0.0-r2.ebuild,
  +gpgme-1.0.0-r3.ebuild:
  -r2 masked as it depends on unstable gnupg-1.9 bug #67453. gpgme-1.0.0-r3
  added to fix #66190.

  13 Oct 2004; Travis Tilley <lv@gentoo.org> gpgme-0.3.14-r1.ebuild,
  gpgme-0.9.0-r1.ebuild:
  stable on amd64

*gpgme-1.0.0-r2 (13 Oct 2004)

  13 Oct 2004; Konstantin Arkhipov <voxus@gentoo.org>
  +files/gpgme-1.0.0-assuan_fix.patch,
  +gpgme-1.0.0-r2.ebuild:
  Trivial configure fix, closing bug #66362.
  Thanks to Gregorio Guidi <g.guidi@sns.it>.

  05 Oct 2004; Guy Martin <gmsoft@gentoo.org> gpgme-0.3.14-r1.ebuild:
  Stable on hppa.

  04 Oct 2004; Guy Martin <gmsoft@gentoo.org> gpgme-0.9.0-r1.ebuild:
  Stable on hppa.

  03 Oct 2004; Daniel Black <dragonheart@gentoo.org> gpgme-1.0.0-r1.ebuild,
  gpgme-1.0.0.ebuild:
  Fixed as per bug #66190. Thank to Tóth Csaba <tsabi-gentoo@tsabi.hu>

*gpgme-1.0.0-r1 (03 Oct 2004)

  03 Oct 2004; Daniel Black <dragonheart@gentoo.org>
  +files/gpgme-1.0.0-testconfigure.patch, +gpgme-1.0.0-r1.ebuild,
  +gpgme-1.0.0.ebuild:
  version bump. 1.0.0 without smime support and 1.0.0-r1 with smime support

  02 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> gpgme-0.9.0-r1.ebuild:
  Stable on alpha, requested in bug 64485.

  02 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> gpgme-0.3.14-r1.ebuild:
  Stable on alpha, requested in bug 64485.

  23 Sep 2004; Gustavo Zacarias <gustavoz@gentoo.org> gpgme-0.3.14-r1.ebuild,
  gpgme-0.9.0-r1.ebuild:
  Stable on sparc wrt #64485

  18 Sep 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild,
  gpgme-0.9.0-r1.ebuild:
  x86 stable as per bug #64485

*gpgme-0.9.0-r20 (27 Aug 2004)

  27 Aug 2004; <dragonheart@gentoo.org> gpgme-0.3.16.ebuild, 
  gpgme-0.9.0-r1.ebuild, +gpgme-0.9.0-r20.ebuild:
  Fixes gcrypt to be a runtime depend as well. 0.3.16 missing Block on 0.9*.
  Version added to support smime again

  25 Aug 2004; <dragonheart@gentoo.org> metadata.xml, 
  gpgme-0.3.14.ebuild:
  Added package blocks. Thanks genone for the suggestion - bug #60126.
  Tom added the gpgme-0.9.0-r1 blocker last commit

  22 Aug 2004; Tom Gall <tgall@gentoo.org> gpgme-0.9.0-r1.ebuild:
  stable on ppc64 bug #58237

  16 Aug 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild:
  Have modified gpgme-0.3.14-r1 a bit to make it easier. REmoved duplicat econf
  as well bug #57193 refers

  13 Aug 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild:
  Misses fix on gpgme/mkerror. Thanks to fix by Mihai Limbasan
  <mihailim@yahoo.com> in bug #60149

  11 Aug 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild:
  Fixes thanks to genone

  09 Aug 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild:
  header files fix - gpgme.h -> gpgme3.h

  08 Aug 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14-r1.ebuild,
  gpgme-0.9.0-r1.ebuild:
  Dependancy changed thanks to Gregorio Guidi in bug #57193. Ebuilds have been
  unmasked

*gpgme-0.3.14-r1 (07 Aug 2004)

  07 Aug 2004; Daniel Black <dragonheart@gentoo.org> +gpgme-0.3.14-r1.ebuild,
  +gpgme-0.9.0-r1.ebuild, -gpgme-0.9.0.ebuild:
  versions gpgme-0.3.14-r1 and gpgme-0.9.0-r1 commited as per bug #57193. Will
  unmask once dependancies are fixed

  31 Jul 2004; Tom Gall <tgall@gentoo.org> gpgme-0.3.16.ebuild:
  stable on ppc64, bug #57114

*gpgme-0.9.0 (29 Jul 2004)

  29 Jul 2004; Caleb Tennis <caleb@gentoo.org> gpgme-0.9.0.ebuild:
  New version. Make it depend on a newer gnupg, and add a line to configure to
  tell it the binary name is now /usr/bin/gpg2.  This still seems to have compilation
  problems with the latest gnupg's, and the upstream site gives HTTP errors when I fill out
  a bug report...

  24 Jul 2004; Mike Frysinger <vapier@gentoo.org> gpgme-0.4.7.ebuild:
  Add smime USE #50681 by Malte S. Stretz.

  15 Jul 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.14.ebuild,
  gpgme-0.3.16.ebuild, gpgme-0.4.0.ebuild, gpgme-0.4.7.ebuild:
  crypt use flag removed

  14 Jul 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.16.ebuild,
  gpgme-0.4.7.ebuild:
  Fix circular depend with app-crypt/cryptplug as described in bug #55867.
  Thanks seemant.

  04 Jun 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.4.0.ebuild,
  gpgme-0.4.7.ebuild:
  Dependancy dev-libs/libgcrypt added to fix bug #52127. Thanks to Wim
  Uyttebroek <wim.uyttebroek@st.cs.kuleuven.ac.be>

*gpgme-0.4.7 (30 May 2004)

  30 May 2004; Mike Frysinger <vapier@gentoo.org> gpgme-0.3.16.ebuild,
  +gpgme-0.4.7.ebuild:
  Version bump #49608 by Daniel Webert.

*gpgme-0.3.16 (30 May 2004)

  30 May 2004; Mike Frysinger <vapier@gentoo.org> +gpgme-0.3.16.ebuild:
  Version bump #49607 by Daniel Webert.

  25 Apr 2004; Aron Griffis <agriffis@gentoo.org> gpgme-0.3.14.ebuild,
  gpgme-0.4.0.ebuild:
  Add die following econf for bug 48950

  24 Apr 2004; Daniel Black <dragonheart@gentoo.org> gpgme-0.3.12.ebuild,
  gpgme-0.3.13.ebuild, gpgme-0.3.14.ebuild, gpgme-0.3.6-r1.ebuild,
  gpgme-0.3.9.ebuild, gpgme-0.4.0.ebuild, metadata.xml:
  Cleaned old ebuilds. Added a few DEPENDS

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org> gpgme-0.3.12.ebuild,
  gpgme-0.3.13.ebuild, gpgme-0.3.14.ebuild, gpgme-0.4.0.ebuild:
  stable on alpha and ia64

  07 Feb 2004; Lars Weiler <pylon@gentoo.org> gpgme-0.4.0.ebuild:
  stable on ppc

  24 Jan 2004; Jason Wever <weeve@gentoo.org> gpgme-0.4.0.ebuild:
  Marked stable on sparc.

  09 Jan 2004; Aron Griffis <agriffis@gentoo.org> gpgme-0.3.14.ebuild:
  stable on alpha

  07 Jan 2004; Jon Portnoy <avenj@gentoo.org> gpgme-0.4.0.ebuild, 
  gpgme-0.3.14.ebuild :
  AMD64 keywords.

  06 Jan 2004; Jason Wever <weeve@gentoo.org> gpgme-0.4.0.ebuild:
  Added ~sparc keyword.

  03 Oct 2003; Aron Griffis <agriffis@gentoo.org> gpgme-0.4.0.ebuild:
  Stable on alpha

  14 Aug 2003; Aron Griffis <agriffis@gentoo.org> gpgme-0.3.14.ebuild,
  gpgme-0.4.0.ebuild:
  Add ~alpha to KEYWORDS

*gpgme-0.4.0 (29 Jan 2003)

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> gpgme-0.4.0.ebuild :
  Added hppa to KEYWORDS.

  05 Mar 2003; Bartosch Pixa <darkspecter@gentoo.org> gpgme-0.4.0.ebuild:
  set ~ppc in keywords

  29 Jan 2003; J Robert Ray <jrray@gentoo.org> : Added slotted 0.4.0 ebuild
  that installs all library files as called 'gpgme4', run gpgme4-config
  instead of gpgme-config to find the correct CFLAGS and LDFLAGS to pass
  to a program that needs gpgme 0.4.0 or later.

*gpgme-0.3.14 (29 Jan 2003)

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> gpgme-0.3.14.ebuild :
  Added hppa to KEYWORDS.

  27 Mar 2003; Jason Wever <weeve@gentoo.org> gpgme-0.3.14.ebuild:
  Changed ~sparc keyword to sparc.

  13 Feb 2003; Yannick Koehler <ykoehler@gentoo.org> gpgme-0.3.14.ebuild :
  Added missing USE flag 'nls crypt doc' to IUSE.

  13 Feb 2003; Mark Guertin <gerk@gentoo.org> gpgme-0.3.14.ebuild :
  set ppc in keywords

  29 Jan 2003; J Robert Ray <jrray@gentoo.org> : Added 0.3.14 and unmasking
  for x86, contains lots of bug fixes over the currently unmasked 0.3.9
  version.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*gpgme-0.3.13 (26 Nov 2002)

  13 Feb 2003; Yannick Koehler <ykoehler@gentoo.org> gpgme-0.3.13.ebuild :
  Added missing USE flag 'nls crypt doc' to IUSE.

  26 Nov 2002; J Robert Ray <jrray@gentoo.org> gpgme-0.3.13.ebuild :
  Version bump, no longer an alpha release.  Closing bug 11213.

*gpgme-0.3.12 (18 Oct 2002)

  13 Feb 2003; Yannick Koehler <ykoehler@gentoo.org> gpgme-0.3.12.ebuild :
  Added missing USE flag 'nls crypt doc' to IUSE.

  18 Oct 2002; Daniel Ahlberg <aliz@gentoo.org> gpgme-0.3.12.ebuild :
  Version bump, found by Jacob Perkins <jap1@ionet.net> in #6665.

*gpgme-0.3.9 (23 Aug 2002)

  23 Aug 2002; Seemant Kulleen <seemant@gentoo.org> gpgme-0.3.9.ebuild
  files/digest-gpgme-0.3.9 :

  Version bump.

*gpgme-0.3.6-r1 (16 Jul 2002)

  28 Jul 2002; Calum Selkrik <cselkirk@gentoo.org> gpgme-0.3.6-r1.ebuild :

  Added ppc to KEYWORDS.

  16 Jul 2002; Seemant Kulleen <seemant@gentoo.org> gpgme-0.3.6-r1.ebuild
  files/digest-gpgme-0.3.6-r1 :

  Plugin is now available, so that Kmail etc can use gpgme.  Fix submitted
  by: gentoo-bugs@devrieze.net (Paul de Vrieze) in bug #5086.

*gpgme-0.3.6 (20 May 2002)

  20 May 2002; Seemant Kulleen <seemant@gentoo.org> gpgme-0.3.6.ebuild
  files/digest-gpgme-0.3.6 :

  Version bump

*gpgme-0.2.3 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
